        !COMPILER-GENERATED INTERFACE MODULE: Sat Feb 12 13:24:47 2022
        ! This source file is for reference only and may not completely
        ! represent the generated interface used by the compiler.
        MODULE LAGUERRE_GEN44_OPTIM__genmod
          INTERFACE 
            SUBROUTINE LAGUERRE_GEN44_OPTIM(N,X,CX,CONST1)
              INTEGER(KIND=4), INTENT(IN) :: N
              REAL(KIND=16), INTENT(IN) :: X
              REAL(KIND=16), INTENT(OUT) :: CX(0:N)
              REAL(KIND=16), INTENT(IN) :: CONST1
            END SUBROUTINE LAGUERRE_GEN44_OPTIM
          END INTERFACE 
        END MODULE LAGUERRE_GEN44_OPTIM__genmod
